# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiWireframeTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()

        self.beginScrollLayout()

        self.addCustom('message', 'AEshaderTypeNew', 'AEshaderTypeReplace')

        self.beginLayout('线框属性', collapse=False)
        self.addControl('edge_type', label='边缘类型')
        self.addControl('fill_color', label='填充颜色')
        self.addControl('line_color', label='线框颜色')
        self.addControl('line_width', label='线宽')
        self.addControl('raster_space', label='光栅空间')
        self.endLayout()

        pm.mel.AEdependNodeTemplate(self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()

